# Interface AccessibleTextListener

All Superinterfaces:
  `EventListener`

All Known Subinterfaces:
  `AccessibleTextExtendedListener`

All Known Implementing Classes:
  `AccessibleTextAdapter, AccessibleTextExtendedAdapter`

public interface AccessibleTextListener extends EventListener
Classes that implement this interface provide methods that deal with the events that are generated when an accessibility client sends a message to a control.

After creating an instance of a class that implements this interface it can be added to a control using the `addAccessibleTextListener` method and removed using the `removeAccessibleTextListener` method. When a client requests information the appropriate method will be invoked.

Note: Accessibility clients use child identifiers to specify whether they want information about a control or one of its children. Child identifiers are increasing integers beginning with 0. The identifier CHILDID_SELF represents the control itself.

Note: This interface is typically used by implementors of a custom control to provide very detailed information about the control instance to accessibility clients.

Since:
  3.0
See Also:
  - `AccessibleTextAdapter`
  - `AccessibleTextEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`getCaretOffset(AccessibleTextEvent e)`
Sent when an accessibility client requests the current character offset of the text caret.
`void`
`getSelectionRange(AccessibleTextEvent e)`
Sent when an accessibility client requests the range of the current text selection.

## Method Details

### getCaretOffset

void getCaretOffset(AccessibleTextEvent e)
Sent when an accessibility client requests the current character offset of the text caret.

Return the caret offset in the `offset` field of the event object.

Parameters:
  `e` - an event object containing the following fields:
  - childID [IN] - an identifier specifying a child of the control
  - offset [OUT] - the current offset of the text caret

### getSelectionRange

void getSelectionRange(AccessibleTextEvent e)
Sent when an accessibility client requests the range of the current text selection.

Return the selection start offset and non-negative length in the `offset` and `length` fields of the event object.

Parameters:
  `e` - an event object containing the following fields:
  - childID [IN] - an identifier specifying a child of the control
  - offset [OUT] - the offset of the current text selection
  - length [OUT] - the length of the current text selection